> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxus.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create System Key

> Mint a tenant-scoped system key in the tenant's admin workspace.



## OpenAPI

````yaml post /v1/admin/system-keys
openapi: 3.1.0
info:
  title: Noxus Backend
  description: >-
    Backend API for the Noxus Platform. More information can be found at
    https://docs.noxus.ai
  version: 1.1.0
servers: []
security: []
paths:
  /v1/admin/system-keys:
    post:
      tags:
        - V1 - System keys
      summary: Create System Key
      description: Mint a tenant-scoped system key in the tenant's admin workspace.
      operationId: create_system_key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSystemKeyRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiKey'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    CreateSystemKeyRequest:
      properties:
        name:
          type: string
          title: Name
        permissions:
          items:
            type: string
          type: array
          title: Permissions
          description: Tenant-wide permissions to grant (subset of TENANT_PERMISSIONS).
        tenant_admin:
          type: boolean
          title: Tenant Admin
          description: Grant full tenant-admin access instead of specific permissions.
          default: false
      type: object
      required:
        - name
      title: CreateSystemKeyRequest
    ApiKey:
      properties:
        name:
          type: string
          title: Name
        id:
          type: string
          format: uuid
          title: Id
        group_id:
          type: string
          format: uuid
          title: Group Id
        value:
          type: string
          title: Value
        tenant_admin:
          type: boolean
          title: Tenant Admin
          default: false
        permissions:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Permissions
        last_used:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Used
      type: object
      required:
        - name
        - id
        - group_id
        - value
      title: ApiKey
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````